All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.util
Interface IconMap

All Known Implementing Classes:
  DefaultIconMap

    public interface IconMap

An interface for obtaining `Icon` resources. Icons are retrieved based on a string identifier or optionally by an object identifier.

If an implementation uses a `ResourceLocatorInterface` to locate its icons, it is recommended that this implementation return this resource locator from `getResourceLocator()`.

See Also:
  `Icon`

Method Summary
`javax.swing.Icon` | `getIcon(java.lang.String iconId)` Return an icon for the specified string identifier.
`javax.swing.Icon` | `getObjectIcon(java.lang.Object obj)` Return an icon for the specified object identifier.
`com.sas.net.ResourceLocatorInterface` | `getResourceLocator()` Return a resource locator for locating the icons.

Method Detail

### getIcon

    javax.swing.Icon getIcon(java.lang.String iconId)

  Return an icon for the specified string identifier.

  Parameters:
    `iconId` - identifier for an icon
  Returns:
    the icon for the specified string, or `null`

### getObjectIcon

    javax.swing.Icon getObjectIcon(java.lang.Object obj)

  Return an icon for the specified object identifier. This method is optional and an implementation can choose to return `null`.

  Parameters:
    `obj` - the identifier for an icon
  Returns:
    the icon for the specified object, or `null`

### getResourceLocator

    com.sas.net.ResourceLocatorInterface getResourceLocator()

  Return a resource locator for locating the icons. This method is optional and an implementation can choose to return `null`.

  Returns:
    a resource locator used to locate icons, or `null`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.